/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workdailyroutine.entity;

import java.util.Date;
import java.util.List;

import com.google.common.collect.Lists;
import com.jeeplus.modules.sys.entity.Office;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workclientinfo.entity.WorkClientAttachment;

/**
 * 日常事务Entity
 * @author ssrh
 * @version 2018-07-11
 */
public class WorkDailyRoutine extends DataEntity<WorkDailyRoutine> {
	
	private static final long serialVersionUID = 1L;
    public static final String ATTACHMENT_TYPE = "105";
    private String name;		// 事务名称
	private String source;		// 事务来源
	private String status;		// 事务状态
	private Office office;		// 部门
	private Office company;		// 公司
	private Date beginCreateDate;		// 开始 创建时间
	private Date endCreateDate;		// 结束 创建时间
    private List<WorkDailyRoutineDetail> detailList;
    private List<WorkClientAttachment> workAttachments = Lists.newArrayList();
    private String sourceId;
    private String sOr;
    private String subStatus;

	public WorkDailyRoutine() {
		super();
	}

	public WorkDailyRoutine(String id){
		super(id);
	}

	@ExcelField(title="事务名称", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="事务来源", align=2, sort=8)
	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}
	
	@ExcelField(title="事务状态", align=2, sort=9)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	@ExcelField(title="部门", align=2, sort=10)
	public Office getOffice() {
		return office;
	}

	public void setOffice(Office office) {
		this.office = office;
	}
	
	@ExcelField(title="公司", align=2, sort=11)
	public Office getCompany() {
		return company;
	}

	public void setCompany(Office company) {
		this.company = company;
	}
	
	public Date getBeginCreateDate() {
		return beginCreateDate;
	}

	public void setBeginCreateDate(Date beginCreateDate) {
		this.beginCreateDate = beginCreateDate;
	}
	
	public Date getEndCreateDate() {
		return endCreateDate;
	}

	public void setEndCreateDate(Date endCreateDate) {
		this.endCreateDate = endCreateDate;
	}

    public List<WorkDailyRoutineDetail> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<WorkDailyRoutineDetail> detailList) {
        this.detailList = detailList;
    }

    public List<WorkClientAttachment> getWorkAttachments() {
        return workAttachments;
    }

    public void setWorkAttachments(List<WorkClientAttachment> workAttachments) {
        this.workAttachments = workAttachments;
    }

    public String getSourceId() {
        return sourceId;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public String getsOr() {
        return sOr;
    }

    public void setsOr(String sOr) {
        this.sOr = sOr;
    }

    public String getSubStatus() {
        return subStatus;
    }

    public void setSubStatus(String subStatus) {
        this.subStatus = subStatus;
    }
}